Bug 1966578 (CVE-2021-3573) - CVE-2021-3573 kernel: use-after-free in function hci_sock_bound_ioctl()
Summary: CVE-2021-3573 kernel: use-after-free in function hci_sock_bound_ioctl()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3573
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1968358 1968359 1968360 1968361 1968211 1968212 1968213 1968214 1968215 1968216 1969475
Blocks: 1966136 1972622
TreeView+ depends on / blocked
 
Reported: 2021-06-01 12:42 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-04-17 21:25 UTC (History)
44 users (show)

Fixed In Version: kernel 5.13-rc5
Doc Type: If docs needed, set a value
Doc Text:
A flaw use-after-free in function hci_sock_bound_ioctl() of the Linux kernel HCI subsystem was found in the way user calls ioct HCIUNBLOCKADDR or other way triggers race condition of the call hci_unregister_dev() together with one of the calls hci_sock_blacklist_add(), hci_sock_blacklist_del(), hci_get_conn_info(), hci_get_auth_info(). A privileged local user could use this flaw to crash the system or escalate their privileges on the system.
Clone Of:
Environment:
Last Closed: 2021-11-09 21:25:22 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:0679 0 None None None 2022-02-24 20:40:50 UTC
Red Hat Product Errata RHBA-2022:0690 0 None None None 2022-02-28 14:16:37 UTC
Red Hat Product Errata RHBA-2022:0740 0 None None None 2022-03-03 15:57:52 UTC
Red Hat Product Errata RHSA-2021:4140 0 None None None 2021-11-09 17:23:42 UTC
Red Hat Product Errata RHSA-2021:4356 0 None None None 2021-11-09 18:27:22 UTC
Red Hat Product Errata RHSA-2022:0620 0 None None None 2022-02-22 16:57:58 UTC
Red Hat Product Errata RHSA-2022:0622 0 None None None 2022-02-22 17:00:40 UTC

Description Guilherme de Almeida Suckevicz 2021-06-01 12:42:02 UTC
A use-after-free vulnerability was found in the Linux kernel in function hci_sock_bound_ioctl(). It can allow attackers to corrupt kernel heaps (kmalloc-8k to be specific) and adopt further exploitations.

Comment 4 Guilherme de Almeida Suckevicz 2021-06-08 13:50:59 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1969475]

Comment 9 errata-xmlrpc 2021-11-09 17:23:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4140 https://access.redhat.com/errata/RHSA-2021:4140

Comment 10 errata-xmlrpc 2021-11-09 18:27:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4356 https://access.redhat.com/errata/RHSA-2021:4356

Comment 11 Product Security DevOps Team 2021-11-09 21:25:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3573

Comment 12 errata-xmlrpc 2022-02-22 16:57:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:0620 https://access.redhat.com/errata/RHSA-2022:0620

Comment 13 errata-xmlrpc 2022-02-22 17:00:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:0622 https://access.redhat.com/errata/RHSA-2022:0622


Note You need to log in before you can comment on or make changes to this bug.